Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.command.response
Class ErrorResponse

    java.lang.Object
      org.jboss.portal.core.controller.ControllerResponse
          org.jboss.portal.core.controller.command.response.ErrorResponse

Direct Known Subclasses:
  SecurityErrorResponse

    public class ErrorResponse

extends ControllerResponse

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`ErrorResponse(boolean internal)`
`ErrorResponse(java.lang.String message, boolean internal)`
`ErrorResponse(java.lang.Throwable cause, boolean internal)`

Method Summary
`java.lang.Throwable` | `getCause()` Returns the optional error.
`java.lang.String` | `getMessage()` Returns the optional error message.
`boolean` | `isInternal()` Returns true if the error is considered as internal.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ErrorResponse

    public ErrorResponse(java.lang.Throwable cause,
                         boolean internal)

### ErrorResponse

    public ErrorResponse(java.lang.String message,
                         boolean internal)

### ErrorResponse

    public ErrorResponse(boolean internal)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the optional error.

  Returns:
    the error

### getMessage

    public java.lang.String getMessage()

  Returns the optional error message.

  Returns:
    the message

### isInternal

    public boolean isInternal()

  Returns true if the error is considered as internal.

  Returns:
    true if the error is internal

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD